Loading...
Searching...
No Matches
matrix.cpp File Reference
`#include <openbabel/babelconfig.h>`
`#include <openbabel/matrix.h>`
`#include <cstdio>`

## Namespaces

namespace | OpenBabel

## Functions

void | print_matrix (std::vector< std::vector< double > > &m)
void | print_matrix_f (double *m, int rows, int cols)
void | print_matrix_ff (double **m, int rows, int cols)
bool | mult_matrix (std::vector< std::vector< double > > &c, std::vector< std::vector< double > > &a, std::vector< std::vector< double > > &b)
bool | mult_matrix_f (double *c, double *a, double *b, int rows, int cols)
bool | mult_matrix_ff (double **c, double **a, double **b, int rows, int cols)
bool | invert_matrix (std::vector< std::vector< double > > &m, double &det)
bool | invert_matrix_f (double *m, double &det, int rows, int cols)
bool | invert_matrix_ff (double **m, double &det, int rows, int cols)
bool | convert_matrix_f (std::vector< std::vector< double > > &src, double *dst)
bool | convert_matrix_ff (std::vector< std::vector< double > > &src, double **dst)
bool | convert_matrix_f (double *src, std::vector< std::vector< double > > &dst, int rows, int cols)
bool | convert_matrix_ff (double **src, std::vector< std::vector< double > > &dst, int rows, int cols)
bool | convert_matrix_f_ff (double *src, double **dst, int rows, int cols)
bool | convert_matrix_ff_f (double **src, double *dst, int rows, int cols)

## Detailed Description

Operations on arbitrary-sized matrix.